Loading...
Searching...
No Matches
pointset_rep< T >

## Detailed Description

template<class T>
class rheolef::pointset_rep< T >

Definition at line 49 of file pointset.h.

## Public Types

typedef reference_element::size_type | size_type
typedef T | value_type

## Public Member Functions

| pointset_rep (const pointset_option &popt)
void | reset (const pointset_option &popt)
const pointset_option & | option () const
size_type | nnod (const reference_element &hat_K) const

## Public Attributes

const point_basic< T > & | node (const reference_element &hat_K, size_i inod) const protected
const std::array< Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _hat_x
pointset_option | _sopt

## Member Typedef Documentation

## size_type

template<class T>

typedef reference_element::size_type size_type

Definition at line 54 of file pointset.h.

## value_type

template<class T>

typedef T value_type

Definition at line 55 of file pointset.h.

## Constructor & Destructor Documentation

## pointset_rep()

template<class T>

pointset_rep | ( | const pointset_option & | popt | ) |

## Member Function Documentation

## reset()

template<class T>

void reset | ( | const pointset_option & | popt | ) |

## option()

template<class T>

const pointset_option & option | ( |  | ) | const

Definition at line 64 of file pointset.h.

## nnod()

template<class T>

size_type nnod | ( | const reference_element & | hat_K | ) | const

## Member Data Documentation

## node

template<class T>

const point_basic<T>& node(const reference_element &hat_K, size_i inod) const protected

Definition at line 66 of file pointset.h.

## _hat_x

template<class T>

const std::array< Eigen::Matrix<point_basic<T>,Eigen::Dynamic,1> ,reference_element::max_variant> _hat_x

Definition at line 73 of file pointset.h.

## _sopt

template<class T>

pointset_option _sopt

Definition at line 74 of file pointset.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/pointset.h